services:
    d2_fedex_service_definition_manager:
        class:          D2\FedexBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_fedex_partner_file_manager:
        class:          D2\FedexBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_fedex_waybill_manager:
        class:          D2\FedexBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_fedex_service_definition_manager, @d2_calc_manager]

    d2_fedex_bundle.twig.fedex_extension:
        class:          D2\FedexBundle\Twig\FedexTwigExtension
        arguments:      [@doctrine, @service_container, @d2_fedex_partner_file_manager, @d2_fedex_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_fedex_bundle.waybill_with_selected.extension:
        class:          D2\FedexBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: fedex_list }
            - { name: d2.with_selected, alias: fedex_waybill }
